
# ==============================================================================
#	AccessMath V 0.1 - Lecture Video Summarization
#	Copyright (C) 2017  Kenny Davila, Richard Zanibbi
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# ===============================================================================

import sys

from AccessMath.preprocessing.config.parameters import Parameters
from AccessMath.data.meta_data_DB import MetaDataDB
from AccessMath.preprocessing.content.keyframe_exporter import KeyframeExporter


def main():
    if len(sys.argv) < 3:
        print("Usage: python " + sys.argv[0] + " database lecture step")
        print("Where")
        print("\tdatabase\t= Database metadata file")
        print("\tlecture\t= Lecture to export")
        print("\tstep\t= Optional, Frames to jump (subsample)")
        return

    database, lecture = MetaDataDB.load_database_lecture(sys.argv[1], sys.argv[2])
    if database is None:
        return

    if len(sys.argv) >= 4:
        try:
            step = int(sys.argv[3])
            if step < 1:
                print("Invalid value for step")
                return
        except:
            print("Invalid value for step")
            return
    else:
        step = 10

    KeyframeExporter.FromUniformSample(database, lecture, step, "base_binary", Parameters.Output_Binarize)


if __name__ == "__main__":
    main()